
%define xml_version_required 2.9.0
%define major 1
%define exslt_major 0
%define libname %mklibname xslt %{major}
%define develname %mklibname xslt -d

Name:    libxslt
Version: 1.1.34
Release: %mkrel 4
Summary: Library providing XSLT support
License: MIT
Group: System/Libraries
URL: http://xmlsoft.org/XSLT/
Source0: ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.xz
Source1: autogen.sh

Requires: libxml2 >= %{xml_version_required}
BuildRequires: pkgconfig(libxml-2.0) >= %{xml_version_required}
BuildRequires: pkgconfig(python)
BuildRequires: python-libxml2 >= %{xml_version_required}
BuildRequires: libgcrypt-devel
BuildRequires: multiarch-utils >= 1.0.3

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n xsltproc
Summary: XSLT processor using libxslt
Group: System/Libraries
Provides: libxslt-proc = %{version}-%{release}
Requires: docbook-style-xsl

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library.
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n %{libname}
Summary: Library providing XSLT support
Group: System/Libraries

%description  -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.
A xslt processor based on this library, named xsltproc, is provided by
the libxslt-proc package.

%package -n python-%{name}
Summary: Python bindings for the libxslt library
Group: Development/Python
Obsoletes: %{name}-python < %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: python >= %{python2_version}
Requires: python-libxml2 >= %{xml_version_required}

%description -n python-%{name}
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%package -n %{develname}
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: libxml2-devel >= %{xml_version_required}
Obsoletes: %{mklibname xslt 1 -d} < %{version}-%{release}

%description -n %{develname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%prep
%setup -q
%apply_patches

%{__mkdir_p} python/examples
%{__cp} -a python/tests/*.{py,xml,xsl} python/examples

cp %{SOURCE1} autogen.sh
chmod 755 autogen.sh

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

# remove unpackaged files
%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}-python-%{version}
find %{buildroot} -name '*.la' -delete

%multiarch_binaries %{buildroot}%{_bindir}/xslt-config

%files -n xsltproc
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libxslt.so.%{major}*
%{_libdir}/libexslt.so.%{exslt_major}*

%files -n python-%{name}
%defattr(0644,root, root,0755)
%defattr(-, root, root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py*

%files -n %{develname}
%{_mandir}/man3/*
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_includedir}/*
%multiarch %{multiarch_bindir}/xslt-config
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Wed Aug 02 2023 tex - 1.1.34-4pclos2023
- rebuild against updates

* Wed Jan 26 2022 tex - 1.1.34-3pclos2022
- rebuild against updates

* Fri Feb 07 2020 tex - 1.1.34-2pclos2020
- rebuild against updates

* Tue Dec 10 2019 tex - 1.1.34-1pclos2019
- new version

* Sun Mar 24 2019 tex - 1.1.33-2pclos2019
- rebuild against updates

* Sat Mar 02 2019 tex - 1.1.33-1pclos2019
- new version

* Mon Apr 23 2018 tex - 1.1.32-1pclos2018
- new version

* Tue Jan 02 2018 bb2 <bb2> - 1.1.30-2pclos2018
- add upstream patch

* Mon Sep 25 2017 bb2 <bb2> - 1.1.30-1pclos2017
- new version
- new gcc
